%define name wayland
%define version 0.85.0
%define release %mkrel 4

%define client_major 0
%define server_major 0

%define libname_devel %mklibname %{name} -d

%define client_name %{name}-client
%define client_libname %mklibname %{client_name} %{client_major}

%define server_name %{name}-server
%define server_libname %mklibname %{server_name} %{server_major}

Summary:	Wayland Compositor Infrastructure
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.gz
License:	MIT
Group:		System/Libraries
Url:		http://wayland.freedesktop.org/
BuildRequires:	expat-devel
BuildRequires:	pkgconfig(libffi)

%description
Wayland is a protocol for a compositor to talk to its clients as well
as a C library implementation of that protocol. The compositor can be
a standalone display server running on Linux kernel modesetting and
evdev input devices, an X application, or a wayland client itself. The
clients can be traditional applications, X servers (rootless or
fullscreen) or other display servers.

%package -n %{libname_devel}
Summary:	Header files for %{name}
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{client_libname} = %{version}-%{release}
Requires:	%{server_libname} = %{version}-%{release}

%description -n %{libname_devel}
This package contains the header and pkg-config files for developing
with %{name}.

%package -n %{client_libname}
Summary:	Libraries for %{client_name}
Group:		System/Libraries

%description -n %{client_libname}
This package contains the libraries for %{client_name}.

%package -n %{server_libname}
Summary:	Libraries for %{server_name}
Group:		System/Libraries

%description -n %{server_libname}
This package contains the libraries for %{server_name}.

%prep
%setup -q

%build
autoreconf -vfi
%configure2_5x --disable-static
%make

%install
%makeinstall
rm -f %{buildroot}%{_libdir}/*.la

%files -n %{client_libname}
%{_libdir}/lib%{client_name}.so.%{client_major}
%{_libdir}/lib%{client_name}.so.%{client_major}.*

%files -n %{server_libname}
%{_libdir}/lib%{server_name}.so.%{server_major}
%{_libdir}/lib%{server_name}.so.%{server_major}.*

%files -n %{libname_devel}
%{_includedir}/%{name}-*.h
%{_libdir}/lib%{name}*.so
%{_libdir}/pkgconfig/%{name}*.pc
%{_bindir}/%{name}-scanner
%{_datadir}/aclocal/%{name}-scanner.m4
%{_datadir}/aclocal/%{name}-scanner.mk


%changelog

* Wed Feb 29 2012 blino <blino> 0.85.0-4.mga2
+ Revision: 216084
- require client and server libraries in devel package

* Wed Feb 29 2012 blino <blino> 0.85.0-3.mga2
+ Revision: 216017
- move wayland-scanner and its aclocal files to the devel package

* Wed Feb 29 2012 dmorgan <dmorgan> 0.85.0-2.mga2
+ Revision: 216003
- Fix Requires in the devel package

* Wed Feb 29 2012 blino <blino> 0.85.0-1.mga2
+ Revision: 215965
- initial release
- Created package structure for wayland.

